KDE 4.2 PyKDE API Reference

- KDE's Python API

# AbstractVideoDataOutput Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon::Experimental

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

This class gives you the video data.

This class implements a special AbstractVideoOutput that gives your application the video data.

You can also use the video data for further processing (e.g. encoding and saving to a file).

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  VideoDataOutput2

## Methods

| __init__ (self)
| __init__ (self, AbstractVideoDataOutputPrivate dd)
QSet<Phonon::Experimental::VideoFrame2::Format> | allowedFormats (self)
| endOfMedia (self)
| frameReady (self, Phonon.Experimental.VideoFrame2 a0)
bool | isRunning (self)
| setAllowedFormats (self, QSet<Phonon::Experimental::VideoFrame2::Format> a0)
| setRunning (self, bool running)
| start (self)
| stop (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructs an AbstractVideoDataOutput

__init__ | ( | self, |
|  | AbstractVideoDataOutputPrivate | dd
| ) |  |  |

QSet<Phonon::Experimental::VideoFrame2::Format> allowedFormats | ( |  | self ) |

Lists the formats this output is allowed to pass via frameReady.

endOfMedia | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This function is called after the last frameReady of a MediaObject was called.

frameReady | ( | self, |
|  | Phonon.Experimental.VideoFrame2 | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This function is called whenever a frame should be displayed.

Warning:
  frameReady can get called from any thread (other than the main thread or the thread affinity of this QObject). A common error to create a deadlock situation is to block the thread this function is called from, until the main thread has found time to handle the frame. If it is blocking while the main thread decides to stop/delete the MediaObject you might get a deadlock.

bool isRunning | ( |  | self ) |

setAllowedFormats | ( | self, |
|  | QSet<Phonon::Experimental::VideoFrame2::Format> | a0
| ) |  |  |

Defaults to VideoFrame2.Format_RGB888.

setRunning | ( | self, |
|  | bool | running
| ) |  |  |

start | ( |  | self ) |

stop | ( |  | self ) |